<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes" encoding="UTF-8"/>
<xsl:strip-space elements="*"/>

<xsl:variable name="manid">
  <xsl:call-template name="findmanid"/>
</xsl:variable>

<xsl:variable name="womanid">
  <xsl:call-template name="findwomanid"/>
</xsl:variable>

<xsl:template name="findmanid">
  <xsl:for-each select="headers/header">
    <xsl:if test=". = maennlich">
      <xsl:value-of select="position()"/>
    </xsl:if>
  </xsl:for-each>
</xsl:template>

<xsl:template name="findwomanid">
  <xsl:for-each select="headers/header">
    <xsl:if test=". = weiblich">
      <xsl:value-of select="position()"/>
    </xsl:if>
  </xsl:for-each>
</xsl:template>

<xsl:template match="/">
  <xsl:apply-templates />
</xsl:template>

<xsl:template match="evaluationset">
  <PROJEKT_TEILNEHMER>
    <xsl:apply-templates />
  </PROJEKT_TEILNEHMER>
</xsl:template>

<xsl:template match="evaluationset/agency">
  <PRJ_DOK_NR>
    <xsl:value-of select="." />
  </PRJ_DOK_NR>
</xsl:template>

<xsl:template match="evaluationset/start_date">
  <AUSW_VON>
    <xsl:value-of select="." />
  </AUSW_VON>
</xsl:template>

<xsl:template match="evaluationset/end_date">
  <AUSW_BIS>
    <xsl:value-of select="." />
  </AUSW_BIS>
</xsl:template>

<xsl:template match="evaluation">
  <TEILNEHMER>
    <PJTN_TTYP_ID><xsl:value-of select="./@id"/></PJTN_TTYP_ID>
    <xsl:apply-templates />
  </TEILNEHMER>
</xsl:template>

<xsl:template match="table">
  <xsl:apply-templates />
</xsl:template>

<xsl:template match="rows">
  <xsl:apply-templates />
</xsl:template>

<xsl:template match="row">
  <PJTN_MANN><xsl:value-of select="./col[3]"/></PJTN_MANN>
  <PJTN_FRAU><xsl:value-of select="./col[4]"/></PJTN_FRAU>
  <PJTN_GESAMT><xsl:value-of select="./col[3] + ./col[4]"/></PJTN_GESAMT>
</xsl:template>

<!--
<xsl:template match="row">
  <PJTN_MANN><xsl:value-of select="./col[$manid]"/></PJTN_MANN>
  <PJTN_FRAU><xsl:value-of select="./col[$womanid]"/></PJTN_FRAU>
  <PJTN_GESAMT><xsl:value-of select="./col[$manid] + ./col[$womanid]"/></PJTN_GESAMT>
</xsl:template>
-->

<xsl:template match="text()|node()"/>
</xsl:stylesheet>
