# -*- coding: utf-8 -*-
import logging
import formencode

from pylons import request, tmpl_context as c
from mpulsweb.lib.translation import _

from mpulsweb.lib.helpers import url_for
from mpulsweb.lib.base import BaseController, render
from mpulsweb.lib.validators import EditSettingsForm
from mpulsweb.lib.security import checkRole
from mpulsweb.model.agencysettings import Agency


log = logging.getLogger(__name__)


EDIT_AGENCY_SUCCESS_HEADER = _('adm_edit_agency_header')
EDIT_AGENCY_SUCCESS_TEXT = _('adm_edit_agency_text')


class SettingsController(BaseController):

    @checkRole('admin_ka')
    def index(self):
        return self.show()

    def show(self):
        c.form_errors = {}
        c.form_result = {}
        c.agency = Agency()
        return render('/settings/show.mako')

    @checkRole('admin_ka')
    def edit(self):
        c.form_errors = {}
        c.form_result = {}
        c.agency = Agency()
        return render('/settings/edit.mako')

    @checkRole('admin_ka')
    def editAction(self):
        validator = EditSettingsForm()
        c.agency = Agency()
        try:
            c.form_result = validator.to_python(request.params)
        except formencode.Invalid, error:
            c.form_result = error.value
            c.form_errors = error.error_dict or {}
            return render('/settings/edit.mako')

        c.agency.store(c.form_result)
        c.dialog_title = EDIT_AGENCY_SUCCESS_HEADER
        c.dialog_text = EDIT_AGENCY_SUCCESS_TEXT
        c.url_ok = url_for(controller='/settings')
        return render ('/settings/dialogs/success_edit.mako')

# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
