DROP VIEW master_tbl_view CASCADE;
BEGIN;
-- Specific VIEW  for WASKO
CREATE OR REPLACE VIEW master_tbl_view AS 
 SELECT master_tbl.fkz, master_tbl.datum_cm_ende, master_tbl.datum_cm_start,
 master_tbl.geburtsdatum, master_tbl.nat_muspra, master_tbl.nat_staat,
 master_tbl.vater_land, master_tbl.mutter_land, master_tbl.geschlecht,
 master_tbl.erstgespraech, master_tbl.nbetr_start, master_tbl.nbetr_ende,
 master_tbl.id, master_tbl.cm_datum_verlaengerung_1,
 master_tbl.cm_datum_verlaengerung_2, master_tbl.cm2c,
 master_tbl.entw_beh,
 master_tbl.entw_h_1,
 master_tbl.entw_i_1,
 master_tbl.cm_wiederauf_genehm_1, master_tbl.cm_wiederauf_genehm_2,
 master_tbl.cm_neuauf_genehm, master_tbl.cm_end_art, master_tbl.cm_end_sonst,
 master_tbl.phase, master_tbl.zugang, master_tbl.schulform,
 master_tbl.sv_aktiv, master_tbl.sv_passiv, master_tbl.cm_end_schul
    FROM master_tbl;

CREATE OR REPLACE VIEW nm_tags_cases_view AS 
 SELECT nm_tags_cases.id, nm_tags_cases.master_id AS case_id,
 nm_tags_cases.tag_id, nm_tags_cases.created
    FROM nm_tags_cases;

CREATE OR REPLACE VIEW master_tbl_eval_total_view AS
  SELECT * from master_tbl_view;

CREATE OR REPLACE VIEW master_tbl_eval_view AS
  SELECT * from master_tbl_view;

CREATE OR REPLACE VIEW tags_view 
    AS SELECT
        id,
        label,
        description,
        systemtag
    FROM tags;

CREATE OR REPLACE FUNCTION create_nm_tag_case_ds(tagid int4, masterid int4)
  RETURNS int4 AS
  $BODY$
  BEGIN
      INSERT INTO nm_tags_cases (id, tag_id, master_id) 
              VALUES (coalesce((select max(id) from nm_tags_cases)+1, 1),
	      tagid, masterid);
	          RETURN 0;
		  END;
		  $BODY$
		    LANGUAGE 'plpgsql' VOLATILE SECURITY DEFINER;
		    ALTER FUNCTION create_nm_tag_case_ds(tagid int4, masterid
		    int4) OWNER TO postgres;
		    GRANT EXECUTE ON FUNCTION create_nm_tag_case_ds(tagid
		    int4, masterid int4) TO public;
		    GRANT EXECUTE ON FUNCTION create_nm_tag_case_ds(tagid
		    int4, masterid int4) TO postgres;

CREATE OR REPLACE FUNCTION delete_nm_tag_case_ds(tagid int4, masterid int4)
  RETURNS void AS
  $BODY$
  BEGIN
      DELETE FROM nm_tags_cases 
                  WHERE master_id = masterid AND tag_id = tagid; 
		  END;
		  $BODY$
		    LANGUAGE 'plpgsql' VOLATILE SECURITY DEFINER;
		    ALTER FUNCTION delete_nm_tag_case_ds(tagid int4, masterid
		    int4) OWNER TO postgres;
		    GRANT EXECUTE ON FUNCTION delete_nm_tag_case_ds(tagid
		    int4, masterid int4) TO public;
		    GRANT EXECUTE ON FUNCTION delete_nm_tag_case_ds(tagid
		    int4, masterid int4) TO postgres;

CREATE OR REPLACE VIEW master_tbl_eval_total_view AS
  SELECT * from master_tbl_view;

CREATE OR REPLACE VIEW ka_logbuch_tbl_view 
     AS SELECT * FROM ka_logbuch_tbl;

-- Common GRANTS for all evaluations servers
GRANT SELECT ON master_tbl_view TO public;
GRANT SELECT ON dbinfo TO public;
GRANT SELECT ON fkz_tbl TO public;
GRANT SELECT ON phase_tbl to public;
GRANT SELECT ON bundeslaender_tbl TO public;
GRANT SELECT ON master_tbl_eval_total_view to public;
GRANT SELECT ON tags_view to public;
GRANT SELECT ON nm_tags_cases_view to public;
GRANT SELECT ON ka_logbuch_tbl_view TO public;
GRANT SELECT ON ka_logbuch_art_tbl to public;

-- Specific GRANTS for WASKA 
GRANT SELECT ON geschlecht_tbl to public;
GRANT SELECT ON zugang_tbl to public;
GRANT SELECT ON schulform_tbl to public;
GRANT SELECT ON sv_aktiv_tbl to public;
GRANT SELECT ON cm_end_schul_tbl to public;
GRANT SELECT ON cm_dok_end_sonst_tbl to public;
GRANT SELECT ON cm_end_sonst_tbl to public;

COMMIT;
