#!/bin/sh
DBLIST=${1}
PORT=${2:-5432}
PWD=`pwd`
WD=`basename ${PWD}`

if [ -e roles_log.log ]; then
	rm roles_log.log
fi
if [ -e roles_success.log ]; then
	rm roles_success.log
fi
if [ -e roles_error.log ]; then
	rm roles_error.log
fi
touch roles_log.log
touch roles_success.log
touch roles_error.log

for db in `cat $DBLIST`
do
	cd ${PWD}/ka_${db}_db
	printf "Restoring roles on %s... " ${db}
	../migrate.sh roles ${db} ${PORT} >> ../roles_log.log 2>&1
	if [ $? -eq 0 ]; then
		printf "Ok\\n"
		echo $db >> ../roles_success.log
	else
		printf "Failed\\n"
		echo $db >> ../roles_error.log
	fi
	cd ..
done
printf "Ready."
echo "Next step: wc -l roles_error.log"
exit 0
