#!/bin/sh

#
# harvester.sh
#
# Sammeln von Informationen über den Zustand der Datenbanken der KA
#

PORT=5432
KALIST="KA_List"

while getopts p:l:i: o
do
        case ${o} in
        i)      INCONSISTENY=${OPTARG};;
        p)      PORT=${OPTARG};;
        l)      KALIST=${OPTARG};;
        [?])    echo >&2 "Usage: ${0} -i inconsistency [-p port] [-l kalist]"
                exit 1;;

        esac
done

if [ ${INCONSISTENY} = "1" ]
   then 
	SQL="select count(m.id) from master_tbl m join ka_status_tbl s on s.master_id = m.id where m.erstgespraech is NULL"
elif [ ${INCONSISTENY} = "2" ]
   then
	SQL="select count(m.id) from master_tbl m join ka_status_tbl s on s.master_id = m.id where m.erstgespraech::timestamp > now()"
elif [ ${INCONSISTENY} = "3" ]
   then
	SQL="select count(m.id) from master_tbl m join ka_status_tbl s on s.master_id = m.id where m.erstgespraech::timestamp > m.beendigung_5::timestamp"
elif [ ${INCONSISTENY} = "4" ]
   then
	SQL="select count(m.id) from master_tbl m join ka_status_tbl s on s.master_id = m.id where m.beendigung_5::timestamp > now()"
elif [ ${INCONSISTENY} = "5" ]
   then
	SQL="select count(m.id) from master_tbl m join ka_status_tbl s on s.master_id = m.id where (m.art_beendigung <> -1 AND m.beendigung_5 is NULL)" 
elif [ ${INCONSISTENY} = "6" ]
   then
	SQL="select count(m.id) from master_tbl m join ka_status_tbl s on s.master_id = m.id where (m.art_beendigung = -1 AND m.beendigung_5 is not NULL)" 
elif [ ${INCONSISTENY} = "7" ]
   then
	SQL="select count(m.id) from master_tbl m join ka_status_tbl s on s.master_id = m.id where (m.phase = -1)"
elif [ ${INCONSISTENY} = "8" ]
   then
	SQL="SELECT count(m.id) FROM master_tbl_view m JOIN ka_status_tbl_view s ON m.id = s.master_id WHERE ((phase = 0 AND (((NOT (bei_eintritt_ist_der_jugendliche IS NOT NULL AND (get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche') IS NULL OR bei_eintritt_ist_der_jugendliche != get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche')))) OR (NOT (erstgespraech IS NOT NULL AND (get_default_value('master_tbl', 'erstgespraech') IS NULL OR erstgespraech != get_default_value('master_tbl', 'erstgespraech'))))))) ) AND coalesce(erstgespraech, now()) > '2008-09-01'"
elif [ ${INCONSISTENY} = "9" ]
   then
   	SQL="SELECT count(m.id) FROM master_tbl_view m JOIN ka_status_tbl_view s ON m.id = s.master_id WHERE ((phase = 1 AND (((NOT (bezug_alg1 IS NOT NULL AND (get_default_value('master_tbl', 'bezug_alg1') IS NULL OR bezug_alg1 != get_default_value('master_tbl', 'bezug_alg1')))) OR (NOT (bezug_alg2 IS NOT NULL AND (get_default_value('master_tbl', 'bezug_alg2') IS NULL OR bezug_alg2 != get_default_value('master_tbl', 'bezug_alg2')))) OR (NOT (abschluss_betriebliche_ausbildung IS NOT NULL AND (get_default_value('master_tbl', 'abschluss_betriebliche_ausbildung') IS NULL OR abschluss_betriebliche_ausbildung != get_default_value('master_tbl', 'abschluss_betriebliche_ausbildung')))) OR (NOT (abschluss_ausserbetriebliche_ausbildung IS NOT NULL AND (get_default_value('master_tbl', 'abschluss_ausserbetriebliche_ausbildung') IS NULL OR abschluss_ausserbetriebliche_ausbildung != get_default_value('master_tbl', 'abschluss_ausserbetriebliche_ausbildung')))) OR (NOT (arbeitslosigkeit_1 IS NOT NULL AND (get_default_value('master_tbl', 'arbeitslosigkeit_1') IS NULL OR arbeitslosigkeit_1 != get_default_value('master_tbl', 'arbeitslosigkeit_1')))) OR (NOT (datum_feststellung IS NOT NULL AND (get_default_value('master_tbl', 'datum_feststellung') IS NULL OR datum_feststellung != get_default_value('master_tbl', 'datum_feststellung')))) OR (NOT (dauer_nach_letzter_beschaeftigung IS NOT NULL AND (get_default_value('master_tbl', 'dauer_nach_letzter_beschaeftigung') IS NULL OR dauer_nach_letzter_beschaeftigung != get_default_value('master_tbl', 'dauer_nach_letzter_beschaeftigung')))) OR (NOT (erwerbstaetigkeit_job IS NOT NULL AND (get_default_value('master_tbl', 'erwerbstaetigkeit_job') IS NULL OR erwerbstaetigkeit_job != get_default_value('master_tbl', 'erwerbstaetigkeit_job')))) OR (NOT (geburtsdatum IS NOT NULL AND (get_default_value('master_tbl', 'geburtsdatum') IS NULL OR geburtsdatum != get_default_value('master_tbl', 'geburtsdatum')))) OR (NOT (geschlecht IS NOT NULL AND (get_default_value('master_tbl', 'geschlecht') IS NULL OR geschlecht != get_default_value('master_tbl', 'geschlecht')))) OR (NOT (schulabschluss_1 IS NOT NULL AND (get_default_value('master_tbl', 'schulabschluss_1') IS NULL OR schulabschluss_1 != get_default_value('master_tbl', 'schulabschluss_1')))) OR (NOT (vater IS NOT NULL AND (get_default_value('master_tbl', 'vater') IS NULL OR vater != get_default_value('master_tbl', 'vater')))) OR (NOT (mutter IS NOT NULL AND (get_default_value('master_tbl', 'mutter') IS NULL OR mutter != get_default_value('master_tbl', 'mutter')))) OR (NOT (muttersprache IS NOT NULL AND (get_default_value('master_tbl', 'muttersprache') IS NULL OR muttersprache != get_default_value('master_tbl', 'muttersprache')))) OR (NOT (staatsangehoerigkeit IS NOT NULL AND (get_default_value('master_tbl', 'staatsangehoerigkeit') IS NULL OR staatsangehoerigkeit != get_default_value('master_tbl', 'staatsangehoerigkeit')))) OR (NOT (bei_eintritt_ist_der_jugendliche IS NOT NULL AND (get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche') IS NULL OR bei_eintritt_ist_der_jugendliche != get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche')))) OR (NOT (erstgespraech IS NOT NULL AND (get_default_value('master_tbl', 'erstgespraech') IS NULL OR erstgespraech != get_default_value('master_tbl', 'erstgespraech'))))))) ) AND coalesce(erstgespraech, now()) > '2008-09-01'"
elif [ ${INCONSISTENY} = "10" ]
   then
        # Beratung Start
   	SQL="SELECT count(m.id) FROM master_tbl_view m JOIN ka_status_tbl_view s ON m.id = s.master_id WHERE ((phase = 6 AND (((NOT (bezug_alg1 IS NOT NULL AND (get_default_value('master_tbl', 'bezug_alg1') IS NULL OR bezug_alg1 != get_default_value('master_tbl', 'bezug_alg1')))) OR (NOT (bezug_alg2 IS NOT NULL AND (get_default_value('master_tbl', 'bezug_alg2') IS NULL OR bezug_alg2 != get_default_value('master_tbl', 'bezug_alg2')))) OR (NOT (abschluss_betriebliche_ausbildung IS NOT NULL AND (get_default_value('master_tbl', 'abschluss_betriebliche_ausbildung') IS NULL OR abschluss_betriebliche_ausbildung != get_default_value('master_tbl', 'abschluss_betriebliche_ausbildung')))) OR (NOT (abschluss_ausserbetriebliche_ausbildung IS NOT NULL AND (get_default_value('master_tbl', 'abschluss_ausserbetriebliche_ausbildung') IS NULL OR abschluss_ausserbetriebliche_ausbildung != get_default_value('master_tbl', 'abschluss_ausserbetriebliche_ausbildung')))) OR (NOT (arbeitslosigkeit_1 IS NOT NULL AND (get_default_value('master_tbl', 'arbeitslosigkeit_1') IS NULL OR arbeitslosigkeit_1 != get_default_value('master_tbl', 'arbeitslosigkeit_1')))) OR (NOT (datum_feststellung IS NOT NULL AND (get_default_value('master_tbl', 'datum_feststellung') IS NULL OR datum_feststellung != get_default_value('master_tbl', 'datum_feststellung')))) OR (NOT (dauer_nach_letzter_beschaeftigung IS NOT NULL AND (get_default_value('master_tbl', 'dauer_nach_letzter_beschaeftigung') IS NULL OR dauer_nach_letzter_beschaeftigung != get_default_value('master_tbl', 'dauer_nach_letzter_beschaeftigung')))) OR (NOT (erwerbstaetigkeit_job IS NOT NULL AND (get_default_value('master_tbl', 'erwerbstaetigkeit_job') IS NULL OR erwerbstaetigkeit_job != get_default_value('master_tbl', 'erwerbstaetigkeit_job')))) OR (NOT (geburtsdatum IS NOT NULL AND (get_default_value('master_tbl', 'geburtsdatum') IS NULL OR geburtsdatum != get_default_value('master_tbl', 'geburtsdatum')))) OR (NOT (geschlecht IS NOT NULL AND (get_default_value('master_tbl', 'geschlecht') IS NULL OR geschlecht != get_default_value('master_tbl', 'geschlecht')))) OR (NOT (schulabschluss_1 IS NOT NULL AND (get_default_value('master_tbl', 'schulabschluss_1') IS NULL OR schulabschluss_1 != get_default_value('master_tbl', 'schulabschluss_1')))) OR (NOT (vater IS NOT NULL AND (get_default_value('master_tbl', 'vater') IS NULL OR vater != get_default_value('master_tbl', 'vater')))) OR (NOT (mutter IS NOT NULL AND (get_default_value('master_tbl', 'mutter') IS NULL OR mutter != get_default_value('master_tbl', 'mutter')))) OR (NOT (muttersprache IS NOT NULL AND (get_default_value('master_tbl', 'muttersprache') IS NULL OR muttersprache != get_default_value('master_tbl', 'muttersprache')))) OR (NOT (staatsangehoerigkeit IS NOT NULL AND (get_default_value('master_tbl', 'staatsangehoerigkeit') IS NULL OR staatsangehoerigkeit != get_default_value('master_tbl', 'staatsangehoerigkeit')))) OR (NOT (datum_feststellung IS NOT NULL AND (get_default_value('master_tbl', 'datum_feststellung') IS NULL OR datum_feststellung != get_default_value('master_tbl', 'datum_feststellung')))) OR (NOT (bei_eintritt_ist_der_jugendliche IS NOT NULL AND (get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche') IS NULL OR bei_eintritt_ist_der_jugendliche != get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche')))) OR (NOT (erstgespraech IS NOT NULL AND (get_default_value('master_tbl', 'erstgespraech') IS NULL OR erstgespraech != get_default_value('master_tbl', 'erstgespraech')))))) )) AND coalesce(erstgespraech, now()) > '2008-09-01'"
elif [ ${INCONSISTENY} = "11" ]
   then
   	SQL="SELECT count(m.id) FROM master_tbl_view m JOIN ka_status_tbl_view s ON m.id = s.master_id JOIN ka_benutzer_tbl b ON m.bearbeiter_id = b.id WHERE ((phase = 7 AND (((NOT (bezug_alg1 IS NOT NULL AND (get_default_value('master_tbl', 'bezug_alg1') IS NULL OR bezug_alg1 != get_default_value('master_tbl', 'bezug_alg1')))) OR (NOT (bezug_alg2 IS NOT NULL AND (get_default_value('master_tbl', 'bezug_alg2') IS NULL OR bezug_alg2 != get_default_value('master_tbl', 'bezug_alg2')))) OR (NOT (abschluss_betriebliche_ausbildung IS NOT NULL AND (get_default_value('master_tbl', 'abschluss_betriebliche_ausbildung') IS NULL OR abschluss_betriebliche_ausbildung != get_default_value('master_tbl', 'abschluss_betriebliche_ausbildung')))) OR (NOT (abschluss_ausserbetriebliche_ausbildung IS NOT NULL AND (get_default_value('master_tbl', 'abschluss_ausserbetriebliche_ausbildung') IS NULL OR abschluss_ausserbetriebliche_ausbildung != get_default_value('master_tbl', 'abschluss_ausserbetriebliche_ausbildung')))) OR (NOT (arbeitslosigkeit_1 IS NOT NULL AND (get_default_value('master_tbl', 'arbeitslosigkeit_1') IS NULL OR arbeitslosigkeit_1 != get_default_value('master_tbl', 'arbeitslosigkeit_1')))) OR (NOT (datum_feststellung IS NOT NULL AND (get_default_value('master_tbl', 'datum_feststellung') IS NULL OR datum_feststellung != get_default_value('master_tbl', 'datum_feststellung')))) OR (NOT (dauer_nach_letzter_beschaeftigung IS NOT NULL AND (get_default_value('master_tbl', 'dauer_nach_letzter_beschaeftigung') IS NULL OR dauer_nach_letzter_beschaeftigung != get_default_value('master_tbl', 'dauer_nach_letzter_beschaeftigung')))) OR (NOT (erwerbstaetigkeit_job IS NOT NULL AND (get_default_value('master_tbl', 'erwerbstaetigkeit_job') IS NULL OR erwerbstaetigkeit_job != get_default_value('master_tbl', 'erwerbstaetigkeit_job')))) OR (NOT (geburtsdatum IS NOT NULL AND (get_default_value('master_tbl', 'geburtsdatum') IS NULL OR geburtsdatum != get_default_value('master_tbl', 'geburtsdatum')))) OR (NOT (geschlecht IS NOT NULL AND (get_default_value('master_tbl', 'geschlecht') IS NULL OR geschlecht != get_default_value('master_tbl', 'geschlecht')))) OR (NOT (schulabschluss_1 IS NOT NULL AND (get_default_value('master_tbl', 'schulabschluss_1') IS NULL OR schulabschluss_1 != get_default_value('master_tbl', 'schulabschluss_1')))) OR (NOT (vater IS NOT NULL AND (get_default_value('master_tbl', 'vater') IS NULL OR vater != get_default_value('master_tbl', 'vater')))) OR (NOT (mutter IS NOT NULL AND (get_default_value('master_tbl', 'mutter') IS NULL OR mutter != get_default_value('master_tbl', 'mutter')))) OR (NOT (muttersprache IS NOT NULL AND (get_default_value('master_tbl', 'muttersprache') IS NULL OR muttersprache != get_default_value('master_tbl', 'muttersprache')))) OR (NOT (staatsangehoerigkeit IS NOT NULL AND (get_default_value('master_tbl', 'staatsangehoerigkeit') IS NULL OR staatsangehoerigkeit != get_default_value('master_tbl', 'staatsangehoerigkeit')))) OR (NOT (datum_ende_beratung IS NOT NULL AND (get_default_value('master_tbl', 'datum_ende_beratung') IS NULL OR datum_ende_beratung != get_default_value('master_tbl', 'datum_ende_beratung')))) OR (NOT (datum_feststellung IS NOT NULL AND (get_default_value('master_tbl', 'datum_feststellung') IS NULL OR datum_feststellung != get_default_value('master_tbl', 'datum_feststellung')))) OR (NOT (bei_eintritt_ist_der_jugendliche IS NOT NULL AND (get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche') IS NULL OR bei_eintritt_ist_der_jugendliche != get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche')))) OR (NOT (erstgespraech IS NOT NULL AND (get_default_value('master_tbl', 'erstgespraech') IS NULL OR erstgespraech != get_default_value('master_tbl', 'erstgespraech')))))))) AND coalesce(erstgespraech, now()) > '2008-09-01'"
elif [ ${INCONSISTENY} = "12" ]
   then
        #CM Start
   	SQL="SELECT count(m.id) FROM master_tbl_view m JOIN ka_status_tbl_view s ON m.id = s.master_id WHERE ((phase = 2 AND (((NOT (datum_feststellung IS NOT NULL AND (get_default_value('master_tbl', 'datum_feststellung') IS NULL OR datum_feststellung != get_default_value('master_tbl', 'datum_feststellung')))) OR (NOT (bei_eintritt_ist_der_jugendliche IS NOT NULL AND (get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche') IS NULL OR bei_eintritt_ist_der_jugendliche != get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche')))) OR (NOT (erstgespraech IS NOT NULL AND (get_default_value('master_tbl', 'erstgespraech') IS NULL OR erstgespraech != get_default_value('master_tbl', 'erstgespraech')))) OR (NOT (bezug_alg1 IS NOT NULL AND (get_default_value('master_tbl', 'bezug_alg1') IS NULL OR bezug_alg1 != get_default_value('master_tbl', 'bezug_alg1')))) OR (NOT (bezug_alg2 IS NOT NULL AND (get_default_value('master_tbl', 'bezug_alg2') IS NULL OR bezug_alg2 != get_default_value('master_tbl', 'bezug_alg2')))) OR (NOT (abschluss_betriebliche_ausbildung IS NOT NULL AND (get_default_value('master_tbl', 'abschluss_betriebliche_ausbildung') IS NULL OR abschluss_betriebliche_ausbildung != get_default_value('master_tbl', 'abschluss_betriebliche_ausbildung')))) OR (NOT (abschluss_ausserbetriebliche_ausbildung IS NOT NULL AND (get_default_value('master_tbl', 'abschluss_ausserbetriebliche_ausbildung') IS NULL OR abschluss_ausserbetriebliche_ausbildung != get_default_value('master_tbl', 'abschluss_ausserbetriebliche_ausbildung')))) OR (NOT (arbeitslosigkeit_1 IS NOT NULL AND (get_default_value('master_tbl', 'arbeitslosigkeit_1') IS NULL OR arbeitslosigkeit_1 != get_default_value('master_tbl', 'arbeitslosigkeit_1')))) OR (NOT (datum_feststellung IS NOT NULL AND (get_default_value('master_tbl', 'datum_feststellung') IS NULL OR datum_feststellung != get_default_value('master_tbl', 'datum_feststellung')))) OR (NOT (dauer_nach_letzter_beschaeftigung IS NOT NULL AND (get_default_value('master_tbl', 'dauer_nach_letzter_beschaeftigung') IS NULL OR dauer_nach_letzter_beschaeftigung != get_default_value('master_tbl', 'dauer_nach_letzter_beschaeftigung')))) OR (NOT (erwerbstaetigkeit_job IS NOT NULL AND (get_default_value('master_tbl', 'erwerbstaetigkeit_job') IS NULL OR erwerbstaetigkeit_job != get_default_value('master_tbl', 'erwerbstaetigkeit_job')))) OR (NOT (geburtsdatum IS NOT NULL AND (get_default_value('master_tbl', 'geburtsdatum') IS NULL OR geburtsdatum != get_default_value('master_tbl', 'geburtsdatum')))) OR (NOT (geschlecht IS NOT NULL AND (get_default_value('master_tbl', 'geschlecht') IS NULL OR geschlecht != get_default_value('master_tbl', 'geschlecht')))) OR (NOT (schulabschluss_1 IS NOT NULL AND (get_default_value('master_tbl', 'schulabschluss_1') IS NULL OR schulabschluss_1 != get_default_value('master_tbl', 'schulabschluss_1')))) OR (NOT (vater IS NOT NULL AND (get_default_value('master_tbl', 'vater') IS NULL OR vater != get_default_value('master_tbl', 'vater')))) OR (NOT (mutter IS NOT NULL AND (get_default_value('master_tbl', 'mutter') IS NULL OR mutter != get_default_value('master_tbl', 'mutter')))) OR (NOT (muttersprache IS NOT NULL AND (get_default_value('master_tbl', 'muttersprache') IS NULL OR muttersprache != get_default_value('master_tbl', 'muttersprache')))) OR (NOT (staatsangehoerigkeit IS NOT NULL AND (get_default_value('master_tbl', 'staatsangehoerigkeit') IS NULL OR staatsangehoerigkeit != get_default_value('master_tbl', 'staatsangehoerigkeit'))))))) ) AND coalesce(erstgespraech, now()) > '2008-09-01'"
elif [ ${INCONSISTENY} = "13" ]
   then
        #CM-Ende
   	SQL="SELECT count(m.id) FROM master_tbl_view m JOIN ka_status_tbl_view s ON m.id = s.master_id WHERE ((phase = 3 AND (((NOT (datum_feststellung IS NOT NULL AND (get_default_value('master_tbl', 'datum_feststellung') IS NULL OR datum_feststellung != get_default_value('master_tbl', 'datum_feststellung')))) OR (NOT (art_beendigung IS NOT NULL AND (get_default_value('master_tbl', 'art_beendigung') IS NULL OR art_beendigung != get_default_value('master_tbl', 'art_beendigung')))) OR (NOT (beendigung_5 IS NOT NULL AND (get_default_value('master_tbl', 'beendigung_5') IS NULL OR beendigung_5 != get_default_value('master_tbl', 'beendigung_5')))) OR (NOT (bei_eintritt_ist_der_jugendliche IS NOT NULL AND (get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche') IS NULL OR bei_eintritt_ist_der_jugendliche != get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche')))) OR (NOT (erstgespraech IS NOT NULL AND (get_default_value('master_tbl', 'erstgespraech') IS NULL OR erstgespraech != get_default_value('master_tbl', 'erstgespraech')))) OR (NOT (bezug_alg1 IS NOT NULL AND (get_default_value('master_tbl', 'bezug_alg1') IS NULL OR bezug_alg1 != get_default_value('master_tbl', 'bezug_alg1')))) OR (NOT (bezug_alg2 IS NOT NULL AND (get_default_value('master_tbl', 'bezug_alg2') IS NULL OR bezug_alg2 != get_default_value('master_tbl', 'bezug_alg2')))) OR (NOT (abschluss_betriebliche_ausbildung IS NOT NULL AND (get_default_value('master_tbl', 'abschluss_betriebliche_ausbildung') IS NULL OR abschluss_betriebliche_ausbildung != get_default_value('master_tbl', 'abschluss_betriebliche_ausbildung')))) OR (NOT (abschluss_ausserbetriebliche_ausbildung IS NOT NULL AND (get_default_value('master_tbl', 'abschluss_ausserbetriebliche_ausbildung') IS NULL OR abschluss_ausserbetriebliche_ausbildung != get_default_value('master_tbl', 'abschluss_ausserbetriebliche_ausbildung')))) OR (NOT (arbeitslosigkeit_1 IS NOT NULL AND (get_default_value('master_tbl', 'arbeitslosigkeit_1') IS NULL OR arbeitslosigkeit_1 != get_default_value('master_tbl', 'arbeitslosigkeit_1')))) OR (NOT (datum_feststellung IS NOT NULL AND (get_default_value('master_tbl', 'datum_feststellung') IS NULL OR datum_feststellung != get_default_value('master_tbl', 'datum_feststellung')))) OR (NOT (dauer_nach_letzter_beschaeftigung IS NOT NULL AND (get_default_value('master_tbl', 'dauer_nach_letzter_beschaeftigung') IS NULL OR dauer_nach_letzter_beschaeftigung != get_default_value('master_tbl', 'dauer_nach_letzter_beschaeftigung')))) OR (NOT (erwerbstaetigkeit_job IS NOT NULL AND (get_default_value('master_tbl', 'erwerbstaetigkeit_job') IS NULL OR erwerbstaetigkeit_job != get_default_value('master_tbl', 'erwerbstaetigkeit_job')))) OR (NOT (geburtsdatum IS NOT NULL AND (get_default_value('master_tbl', 'geburtsdatum') IS NULL OR geburtsdatum != get_default_value('master_tbl', 'geburtsdatum')))) OR (NOT (geschlecht IS NOT NULL AND (get_default_value('master_tbl', 'geschlecht') IS NULL OR geschlecht != get_default_value('master_tbl', 'geschlecht')))) OR (NOT (schulabschluss_1 IS NOT NULL AND (get_default_value('master_tbl', 'schulabschluss_1') IS NULL OR schulabschluss_1 != get_default_value('master_tbl', 'schulabschluss_1')))) OR (NOT (vater IS NOT NULL AND (get_default_value('master_tbl', 'vater') IS NULL OR vater != get_default_value('master_tbl', 'vater')))) OR (NOT (mutter IS NOT NULL AND (get_default_value('master_tbl', 'mutter') IS NULL OR mutter != get_default_value('master_tbl', 'mutter')))) OR (NOT (muttersprache IS NOT NULL AND (get_default_value('master_tbl', 'muttersprache') IS NULL OR muttersprache != get_default_value('master_tbl', 'muttersprache')))) OR (NOT (staatsangehoerigkeit IS NOT NULL AND (get_default_value('master_tbl', 'staatsangehoerigkeit') IS NULL OR staatsangehoerigkeit != get_default_value('master_tbl', 'staatsangehoerigkeit'))))))) ) AND coalesce(erstgespraech, now()) > '2008-09-01'"
elif [ ${INCONSISTENY} = "14" ]
   then
        #NB Start
   	SQL="SELECT count(m.id) FROM master_tbl_view m JOIN ka_status_tbl_view s ON m.id = s.master_id WHERE ((phase = 4 AND (((NOT (datum_feststellung IS NOT NULL AND (get_default_value('master_tbl', 'datum_feststellung') IS NULL OR datum_feststellung != get_default_value('master_tbl', 'datum_feststellung')))) OR (NOT (art_beendigung IS NOT NULL AND (get_default_value('master_tbl', 'art_beendigung') IS NULL OR art_beendigung != get_default_value('master_tbl', 'art_beendigung')))) OR (NOT (beendigung_5 IS NOT NULL AND (get_default_value('master_tbl', 'beendigung_5') IS NULL OR beendigung_5 != get_default_value('master_tbl', 'beendigung_5')))) OR (NOT (beendigung_5 IS NOT NULL AND (get_default_value('master_tbl', 'beendigung_5') IS NULL OR beendigung_5 != get_default_value('master_tbl', 'beendigung_5')))) OR (NOT (bei_eintritt_ist_der_jugendliche IS NOT NULL AND (get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche') IS NULL OR bei_eintritt_ist_der_jugendliche != get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche')))) OR (NOT (erstgespraech IS NOT NULL AND (get_default_value('master_tbl', 'erstgespraech') IS NULL OR erstgespraech != get_default_value('master_tbl', 'erstgespraech')))) OR (NOT (bezug_alg1 IS NOT NULL AND (get_default_value('master_tbl', 'bezug_alg1') IS NULL OR bezug_alg1 != get_default_value('master_tbl', 'bezug_alg1')))) OR (NOT (bezug_alg2 IS NOT NULL AND (get_default_value('master_tbl', 'bezug_alg2') IS NULL OR bezug_alg2 != get_default_value('master_tbl', 'bezug_alg2')))) OR (NOT (abschluss_betriebliche_ausbildung IS NOT NULL AND (get_default_value('master_tbl', 'abschluss_betriebliche_ausbildung') IS NULL OR abschluss_betriebliche_ausbildung != get_default_value('master_tbl', 'abschluss_betriebliche_ausbildung')))) OR (NOT (abschluss_ausserbetriebliche_ausbildung IS NOT NULL AND (get_default_value('master_tbl', 'abschluss_ausserbetriebliche_ausbildung') IS NULL OR abschluss_ausserbetriebliche_ausbildung != get_default_value('master_tbl', 'abschluss_ausserbetriebliche_ausbildung')))) OR (NOT (arbeitslosigkeit_1 IS NOT NULL AND (get_default_value('master_tbl', 'arbeitslosigkeit_1') IS NULL OR arbeitslosigkeit_1 != get_default_value('master_tbl', 'arbeitslosigkeit_1')))) OR (NOT (datum_feststellung IS NOT NULL AND (get_default_value('master_tbl', 'datum_feststellung') IS NULL OR datum_feststellung != get_default_value('master_tbl', 'datum_feststellung')))) OR (NOT (dauer_nach_letzter_beschaeftigung IS NOT NULL AND (get_default_value('master_tbl', 'dauer_nach_letzter_beschaeftigung') IS NULL OR dauer_nach_letzter_beschaeftigung != get_default_value('master_tbl', 'dauer_nach_letzter_beschaeftigung')))) OR (NOT (erwerbstaetigkeit_job IS NOT NULL AND (get_default_value('master_tbl', 'erwerbstaetigkeit_job') IS NULL OR erwerbstaetigkeit_job != get_default_value('master_tbl', 'erwerbstaetigkeit_job')))) OR (NOT (geburtsdatum IS NOT NULL AND (get_default_value('master_tbl', 'geburtsdatum') IS NULL OR geburtsdatum != get_default_value('master_tbl', 'geburtsdatum')))) OR (NOT (geschlecht IS NOT NULL AND (get_default_value('master_tbl', 'geschlecht') IS NULL OR geschlecht != get_default_value('master_tbl', 'geschlecht')))) OR (NOT (schulabschluss_1 IS NOT NULL AND (get_default_value('master_tbl', 'schulabschluss_1') IS NULL OR schulabschluss_1 != get_default_value('master_tbl', 'schulabschluss_1')))) OR (NOT (vater IS NOT NULL AND (get_default_value('master_tbl', 'vater') IS NULL OR vater != get_default_value('master_tbl', 'vater')))) OR (NOT (mutter IS NOT NULL AND (get_default_value('master_tbl', 'mutter') IS NULL OR mutter != get_default_value('master_tbl', 'mutter')))) OR (NOT (muttersprache IS NOT NULL AND (get_default_value('master_tbl', 'muttersprache') IS NULL OR muttersprache != get_default_value('master_tbl', 'muttersprache')))) OR (NOT (staatsangehoerigkeit IS NOT NULL AND (get_default_value('master_tbl', 'staatsangehoerigkeit') IS NULL OR staatsangehoerigkeit != get_default_value('master_tbl', 'staatsangehoerigkeit'))))))) ) AND coalesce(erstgespraech, now()) > '2008-09-01'"
elif [ ${INCONSISTENY} = "15" ]
   then
        #NB-Ende
   	SQL="SELECT count(m.id) FROM master_tbl_view m JOIN ka_status_tbl_view s ON m.id = s.master_id WHERE ((phase = 5 AND (((NOT (beendigung_nachbetreuung IS NOT NULL AND (get_default_value('master_tbl', 'beendigung_nachbetreuung') IS NULL OR beendigung_nachbetreuung != get_default_value('master_tbl', 'beendigung_nachbetreuung')))) OR (NOT (beendigung_5 IS NOT NULL AND (get_default_value('master_tbl', 'beendigung_5') IS NULL OR beendigung_5 != get_default_value('master_tbl', 'beendigung_5')))) OR (NOT (bei_eintritt_ist_der_jugendliche IS NOT NULL AND (get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche') IS NULL OR bei_eintritt_ist_der_jugendliche != get_default_value('master_tbl', 'bei_eintritt_ist_der_jugendliche')))) OR (NOT (erstgespraech IS NOT NULL AND (get_default_value('master_tbl', 'erstgespraech') IS NULL OR erstgespraech != get_default_value('master_tbl', 'erstgespraech')))) OR (NOT (bezug_alg1 IS NOT NULL AND (get_default_value('master_tbl', 'bezug_alg1') IS NULL OR bezug_alg1 != get_default_value('master_tbl', 'bezug_alg1')))) OR (NOT (bezug_alg2 IS NOT NULL AND (get_default_value('master_tbl', 'bezug_alg2') IS NULL OR bezug_alg2 != get_default_value('master_tbl', 'bezug_alg2')))) OR (NOT (abschluss_betriebliche_ausbildung IS NOT NULL AND (get_default_value('master_tbl', 'abschluss_betriebliche_ausbildung') IS NULL OR abschluss_betriebliche_ausbildung != get_default_value('master_tbl', 'abschluss_betriebliche_ausbildung')))) OR (NOT (abschluss_ausserbetriebliche_ausbildung IS NOT NULL AND (get_default_value('master_tbl', 'abschluss_ausserbetriebliche_ausbildung') IS NULL OR abschluss_ausserbetriebliche_ausbildung != get_default_value('master_tbl', 'abschluss_ausserbetriebliche_ausbildung')))) OR (NOT (arbeitslosigkeit_1 IS NOT NULL AND (get_default_value('master_tbl', 'arbeitslosigkeit_1') IS NULL OR arbeitslosigkeit_1 != get_default_value('master_tbl', 'arbeitslosigkeit_1')))) OR (NOT (datum_feststellung IS NOT NULL AND (get_default_value('master_tbl', 'datum_feststellung') IS NULL OR datum_feststellung != get_default_value('master_tbl', 'datum_feststellung')))) OR (NOT (dauer_nach_letzter_beschaeftigung IS NOT NULL AND (get_default_value('master_tbl', 'dauer_nach_letzter_beschaeftigung') IS NULL OR dauer_nach_letzter_beschaeftigung != get_default_value('master_tbl', 'dauer_nach_letzter_beschaeftigung')))) OR (NOT (erwerbstaetigkeit_job IS NOT NULL AND (get_default_value('master_tbl', 'erwerbstaetigkeit_job') IS NULL OR erwerbstaetigkeit_job != get_default_value('master_tbl', 'erwerbstaetigkeit_job')))) OR (NOT (geburtsdatum IS NOT NULL AND (get_default_value('master_tbl', 'geburtsdatum') IS NULL OR geburtsdatum != get_default_value('master_tbl', 'geburtsdatum')))) OR (NOT (geschlecht IS NOT NULL AND (get_default_value('master_tbl', 'geschlecht') IS NULL OR geschlecht != get_default_value('master_tbl', 'geschlecht')))) OR (NOT (schulabschluss_1 IS NOT NULL AND (get_default_value('master_tbl', 'schulabschluss_1') IS NULL OR schulabschluss_1 != get_default_value('master_tbl', 'schulabschluss_1')))) OR (NOT (vater IS NOT NULL AND (get_default_value('master_tbl', 'vater') IS NULL OR vater != get_default_value('master_tbl', 'vater')))) OR (NOT (mutter IS NOT NULL AND (get_default_value('master_tbl', 'mutter') IS NULL OR mutter != get_default_value('master_tbl', 'mutter')))) OR (NOT (muttersprache IS NOT NULL AND (get_default_value('master_tbl', 'muttersprache') IS NULL OR muttersprache != get_default_value('master_tbl', 'muttersprache')))) OR (NOT (staatsangehoerigkeit IS NOT NULL AND (get_default_value('master_tbl', 'staatsangehoerigkeit') IS NULL OR staatsangehoerigkeit != get_default_value('master_tbl', 'staatsangehoerigkeit')))) OR (NOT (datum_feststellung IS NOT NULL AND (get_default_value('master_tbl', 'datum_feststellung') IS NULL OR datum_feststellung != get_default_value('master_tbl', 'datum_feststellung')))) OR (NOT (art_beendigung IS NOT NULL AND (get_default_value('master_tbl', 'art_beendigung') IS NULL OR art_beendigung != get_default_value('master_tbl', 'art_beendigung')))) OR (NOT (beendigung_5 IS NOT NULL AND (get_default_value('master_tbl', 'beendigung_5') IS NULL OR beendigung_5 != get_default_value('master_tbl', 'beendigung_5'))))))) ) AND coalesce(erstgespraech, now()) > '2008-09-01'"
fi

for DB in `cat ${KALIST}`
do
        R_O=`psql -t -c "${SQL} AND s.status <> 5" ka_${DB}_db -p ${PORT}`
        R_A=`psql -t -c "${SQL} AND s.status = 5" ka_${DB}_db -p ${PORT}`
    printf "%-20s|%-10s|%-10s\n" "${DB}" "${R_O}" "${R_A}"
done
